






set -x

qps=(37 32 27 22 17 12 7)
#Encode
for qp in ${qps[@]}; do

mkdir Pulsar_$qp
rm -fv Pulsar_$qp/*tiff
mkdir 500n_$qp
rm -fv 500n_$qp/*

# find all  ######.tif in PQ folder and use name to locate EXR file to make 709 from
c1=0
CMax=7

for filename in ./tifXYZ_$qp/*.tif ; do

 # file name w/extension e.g. 000111.tiff
 cFile="${filename##*/}"
 # remove extension
 cFile="${cFile%.tif}"
 # note cFile now does NOT have tiff extension!
 cFile="${cFile#XpYpZp}"
 #now leading chars are gone
 #echo -e "crop: $filename \n"
 
if [ $c1 -le $CMax ]; then
# undo PQ (to linear XYZ) 
# Convert to P3
# Apply PQ
# Range limit to 16-4076 (4060)


# FOR 2020 Content: (make Pulsar, make 500n 709, make jpg)
(ctlrender -force  -ctl $EDRHOME/ACES/CTL/INVPQ10k2020-2-XYZ.ctl -ctl $EDRHOME/ACES/CTL/XYZPQ2PulsarP3.ctl -ctl $EDRHOME/ACES/CTL/scale10k.ctl -ctl $EDRHOME/ACES/CTL/PQ10kRL-12B.ctl $filename -format tiff16 Pulsar_$qp/$cFile".tiff";   ctlrender -force -ctl $EDRHOME/ACES/CTL/INVPQ10k2020-2-XYZ.ctl -ctl $EDRHOME/ACES/CTL/XYZ2ACES.ctl -ctl $EDRHOME/ACES/CTL/scale10k.ctl -ctl $EDRHOME/ACES/CTL/odt_rec709_full_500nits.ctl $filename -format tiff16 500n_$qp/$cFile".tif"; convert 500n_$qp/$cFile".tif" -quality 99 500n_$qp/$cFile".jpg") &

c1=$[$c1 +1]
fi

if [ $c1 = $CMax ]; then
for job in `jobs -p`
do
echo $job
wait $job 
done
c1=0
fi
done

# Make 500 nit 10bit YUV from 'PQ' = 500n_$qp/<clipname> directory
# confusing since that is 500 nit not PQ directory
for filename in 500n_$qp/*tif ; do
$EDRHOME/Tools/tiff2ydzdx/tiff2ydzdx $filename HD1920 B10 709 FULL
done
# rename yuv
mv YDzDx.yuv 500n_$qp/500n_$qp".yuv" 
rm -fv 500n_$qp/*tif
$EDRHOME/FF/ffmpeg -y -f rawvideo -vcodec rawvideo -s 1920x1080 -r 23.976 -pix_fmt yuv420p10le -i 500n_$qp/500n_$qp".yuv" -an -c:v libx264 -preset slow -crf 15 -profile:v high -level 4.1 -maxrate 25000k -bufsize 50000k 500n_$qp/500n_$qp".mp4"

# play yuv
#mpv --speed 0.25 --loop 100 --demuxer=rawvideo --demuxer-rawvideo=w=1920:h=1080:fps=23.976:mp-format=yuv420p10le --colormatrix BT.709 --colormatrix-input-range=full --colormatrix-output-range=full --screenshot-format=png --screenshot-png-compression=0 500n_$qp/500n_$qp".yuv"



done

exit
