  
set -x


# find all exr files
c1=0
CMax=8

PQS=(Technicolor/SeinePQ Technicolor/BalloonPQ Technicolor/FireEater2PQ Technicolor/Market3PQ Technicolor/Tibul2PQ)

PQDIRS=(Seine_1920x1080p_25_hf_709 Balloon_1920x1080p_25_hf_709 FireEater2_1920x1080p_25_hf_709 Market3_1920x1080p_50_hf_709 Tibul2_1920x1080p_30_hf_ )

count=0

for PQ in ${PQS[@]}; do
mkdir $PQ $PQ"2020"
rm -fv $PQ/* $PQ"2020"/*
if [ $PQ = ${PQS[$count]} ]; then
  PQDIR=${PQDIRS[$count]}
fi
count=`expr $count + 1`



num=0
for filename in $EDRDATA/EXR/Technicolor/$PQDIR/*exr ; do

 # file name w/extension e.g. 000111.exr
 cFile="${filename##*/}"
 # remove extension
 cFile="${cFile%.exr}"
 # remove leading 0
 cFile="${cFile#0}"

 numStr=`printf "%06d" $num`
 num=`expr $num + 1`
 
if [ $c1 -le $CMax ]; then
 
(ctlrender -force -ctl $EDRHOME/ACES/CTL/709-2-OCES.ctl -ctl $EDRHOME/ACES/CTL/scaleR179.ctl -ctl $EDRHOME/ACES/transforms/ctl/rrt/rrt.ctl $filename -format exr32 TMP$c1".exr"; ctlrender -force -ctl $EDRHOME/ACES/CTL/odt_PQ10k.ctl TMP$c1".exr" -format tiff16 $PQ"/XpYpZp"$numStr".tif"; ctlrender -force -ctl $EDRHOME/ACES/CTL/odt_PQ10k2020.ctl TMP$c1".exr" -format tiff16 $PQ"2020/XpYpZp"$numStr".tif"; ) &


sleep 0.05


c1=$[$c1 +1]
fi

if [ $c1 = $CMax ]; then
for job in `jobs -p`
do
echo $job
wait $job 
done
c1=0
fi

done
done

