






set -x

qps=(37 32 27 22 17 12 7)

for qp in ${qps[@]}; do

mkdir 709_$qp
rm -fv 709_$qp/*

done


#Encode
for qp in ${qps[@]}; do

# find all 192 ######.tif in PQ folder and use name to locate EXR file to make 709 from
c1=0
CMax=4

for filename in ./tifXYZ_$qp/* ; do

 # file name w/extension e.g. 000111.tiff
 cFile="${filename##*/}"
 # remove extension
 cFile="${cFile%.tif}"
 # note cFile now does NOT have tiff extension!
 #echo -e "crop: $filename \n"
 
if [ $c1 -le $CMax ]; then


(ctlrender -verbose  -ctl $EDRHOME/ACES/CTL/INVPQ10k2020-2-XYZ.ctl -ctl $EDRHOME/ACES/CTL/scale10k.ctl -ctl $EDRHOME/ACES/CTL/XYZ2ACES.ctl -ctl $EDRHOME/ACES/CTL/odt_rec709_full_500nits.ctl ./tifXYZ_$qp/$cFile".tif" -format tiff16 709_$qp/$cFile".tiff"; convert 709_$qp/$cFile".tiff" -quality 100 709_$qp/$cFile".jpg"; rm -fv 709_$qp/$cFile".tiff") &

c1=$[$c1 +1]
fi

if [ $c1 = $CMax ]; then
for job in `jobs -p`
do
echo $job
wait $job 
done
c1=0
fi
done

done

exit
