  
set -x

#mkdir PQ
#rm -rfv PQ/*

# find all exr files
c1=0
CMax=8

#PQS=(PQ/Confetti_JugglerPQ )
PQS=(PQ/StEM_CoolNight_FogPQ PQ/Telescope_HyperDebrisPQ PQ/StEM_MagicHour-FountainPQ  PQ/Telescope_NebulaPQ  PQ/StEM_RainPQ  PQ/Telescope_SSInteriorPQ PQ/StEM_WarmNight_TablePQ )

#PQDIRS=(Confetti_Juggler )
PQDIRS=(StEM_CoolNight_Fog Telescope_HyperDebris StEM_MagicHour-Fountain  Telescope_Nebula  StEM_Rain  Telescope_SSInterior StEM_WarmNight_Table )

count=0

for PQ in ${PQS[@]}; do
mkdir $PQ"XYZ" $PQ"2020"
rm -fv $PQ"XYZ"/* $PQ"2020"/*
if [ $PQ = ${PQS[$count]} ]; then
  PQDIR=${PQDIRS[$count]}
fi
count=`expr $count + 1`



num=0
for filename in $EDRDATA/StEM_DOLBY/$PQDIR/*tiff ; do

 # file name w/extension e.g. 000111.tiff
 cFile="${filename##*/}"
 # remove extension
 cFile="${cFile%.exr}"
 # remove leading 0
 cFile="${cFile#0}"

 numStr=`printf "%06d" $num`
 num=`expr $num + 1`
 
if [ $c1 -le $CMax ]; then
 
(ctlrender -force -ctl $EDRHOME/ACES/CTL/INVPQ10kRL-12B.ctl -param1 aIn 1.0 -ctl $EDRHOME/ACES/CTL/P3-2-ACES.ctl -ctl $EDRHOME/ACES/CTL/scale10k.ctl -ctl $EDRHOME/ACES/CTL/odt_PQ10k2020.ctl -ctl $EDRHOME/ACES/CTL/noAlpha.ctl $filename -format tiff16 $PQ"2020"/$numStr".tif";ctlrender -force -ctl $EDRHOME/ACES/CTL/INVPQ10kRL-12B.ctl -param1 aIn 1.0 -ctl $EDRHOME/ACES/CTL/P3-2-ACES.ctl -ctl $EDRHOME/ACES/CTL/scale10k.ctl -ctl $EDRHOME/ACES/CTL/odt_PQ10k.ctl -ctl $EDRHOME/ACES/CTL/noAlpha.ctl $filename -format tiff16 $PQ"XYZ"/$numStr".tif"; ) &


sleep 0.05


c1=$[$c1 +1]
fi

if [ $c1 = $CMax ]; then
for job in `jobs -p`
do
echo $job
wait $job 
done
c1=0
fi

done
done

