  
set -x


# find all tiff files
c1=0
CMax=4

#PQS=(PQ/Confetti_JugglerPQ )
PQS=(PQ/StEM_CoolNight_FogPQ PQ/Telescope_HyperDebrisPQ PQ/StEM_MagicHour-FountainPQ  PQ/Telescope_NebulaPQ  PQ/StEM_RainPQ  PQ/Telescope_SSInteriorPQ PQ/StEM_WarmNight_TablePQ )

#PQDIRS=(Confetti_Juggler )
PQDIRS=(StEM_CoolNight_Fog Telescope_HyperDebris StEM_MagicHour-Fountain  Telescope_Nebula  StEM_Rain  Telescope_SSInterior StEM_WarmNight_Table )

count=0

for PQ in ${PQS[@]}; do

if [ $PQ = ${PQS[$count]} ]; then
  PQDIR=${PQDIRS[$count]}
fi
count=`expr $count + 1`

# Create 2020 YUV
rm -v YDzDx.yuv 
for filename in $EDRDATA/StEM_DOLBY/$PQ"2020"/* ; do
  	 echo $filename
    $EDRHOME/Tools/tiff2ydzdx/tiff2ydzdx $filename HD1920 2020
done
mv YDzDx.yuv $PQDIR"2020.yuv"


# Create YDzDx-500 YUV
rm -v YDzDx.yuv 
for filename in $EDRDATA/StEM_DOLBY/$PQ"XYZ"/* ; do
  	 echo $filename
    $EDRHOME/Tools/tiff2ydzdx/tiff2ydzdx $filename HD1920 Y500
done
mv YDzDx.yuv $PQDIR"YDzDx500.yuv"


done

ls -lt *yuv


